# Ogre::WindowEventListener Class Reference

Callback class used to send out window events to client app More...

`#include <OgreWindowEventUtilities.h>`

List of all members.

## Public Member Functions

virtual | ~WindowEventListener ()
virtual void | windowMoved (RenderWindow *rw)
| Window has moved position
virtual void | windowResized (RenderWindow *rw)
| Window has resized
virtual bool | windowClosing (RenderWindow *rw)
| Window is closing (Only triggered if user pressed the [X] button)
virtual void | windowClosed (RenderWindow *rw)
| Window has been closed (Only triggered if user pressed the [X] button)
virtual void | windowFocusChange (RenderWindow *rw)
| Window has lost/gained focus

## Detailed Description

Callback class used to send out window events to client app

Definition at line 47 of file OgreWindowEventUtilities.h.

## Constructor & Destructor Documentation

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) | `[virtual]`

| Definition at line 50 of file OgreWindowEventUtilities.h.

## Member Function Documentation

virtual void Ogre::WindowEventListener::windowClosed | ( | RenderWindow * | rw | ) | `[virtual]`

Window has been closed (Only triggered if user pressed the [X] button)

Parameters:

  | rw | The RenderWindow which created this events

Note:
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

Definition at line 88 of file OgreWindowEventUtilities.h.

virtual bool Ogre::WindowEventListener::windowClosing | ( | RenderWindow * | rw | ) | `[virtual]`

Window is closing (Only triggered if user pressed the [X] button)

Parameters:

  | rw | The RenderWindow which created this events

Returns:
  True will close the window(default).

Definition at line 75 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowFocusChange | ( | RenderWindow * | rw | ) | `[virtual]`

Window has lost/gained focus

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 96 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowMoved | ( | RenderWindow * | rw | ) | `[virtual]`

Window has moved position

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 58 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowResized | ( | RenderWindow * | rw | ) | `[virtual]`

Window has resized

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 66 of file OgreWindowEventUtilities.h.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:56:39 2009